1. Authentication
Ecoland
  • EcoLand
    • Authentication
      • Sign-In
        POST
      • Sign-up
        POST
      • Refresh Token
        POST
    • User
      • Resources
      • User Information
      • User Information
    • Buildings
      • Building Details
      • All Buildings
      • Construct Building
      • List of Possible Construction
      • Possible Prudctions of a building
    • Production
      • Cancel Production
      • Start Production
    • Transportation
      • Shipment
    • Admin
      • user-management
        • Users
  • Schemas
    • EcoLand
      • Storage_Base
      • Production_Base
      • Building_Base
      • Product_Base
      • Construciton_Base
      • Shipment_Base
      • ProductionsInOut_List
      • Productions_Def
      • UserInfo
      • UserResources
    • Error_Responses
      • Insufficent_Money
  1. Authentication

Refresh Token

Developing
POST
/authentication/refresh-token

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/authentication/refresh-token' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "accessToken": "string",
    "refreshToken": "string"
}
Modified at 2025-02-16 09:28:07
Previous
Sign-up
Next
Resources
Built with